import { ActivatedRoute } from '@angular/router';
import { WorkspaceParams } from '../types';
import * as i0 from "@angular/core";
export declare class WorkspaceHelperService {
    private readonly baseParams$$;
    baseActivatedRoute: ActivatedRoute;
    readonly baseParams: import("rxjs").Observable<WorkspaceParams>;
    get baseParamsSnapshot(): WorkspaceParams;
    setBaseParams(params: WorkspaceParams): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<WorkspaceHelperService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<WorkspaceHelperService>;
}
